> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# GSTR-1A CDNRA

> This API will call CDNRA for getting all amended Credit/Debit notes for a return period of Registered Taxpayers.

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-1a/documents/cdnra.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/cdnra/{year}/{month}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-1a/cdnra/{year}/{month}:
    get:
      tags:
        - Taxpayer
        - Returns
        - GSTR-1A Documents
      summary: GSTR-1A CDNRA
      description: >-
        This API will call CDNRA for getting all amended Credit/Debit notes for
        a return period of Registered Taxpayers.
      operationId: getGstr1aCdnra
      parameters:
        - name: year
          in: path
          description: Return year, for example `2025`.
          required: true
          example: '2026'
          schema:
            type: string
        - name: month
          in: path
          description: Return month, for example `04`.
          required: true
          example: '04'
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            Generate Taxpayer Session flow and pass the token in the
            authorization header.
          required: true
          example: '{{gsp_access_token}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: Compliance API version.
          required: false
          example: 1.0.0
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                success:
                  summary: Success
                  value:
                    code: 200
                    timestamp: 1763446641000
                    transaction_id: 41bb8041-fb83-4654-8d75-85a19f329158
                    data:
                      status_cd: '1'
                      data:
                        cdnra:
                          - ctin: 01AAAAP1208Q1ZS
                            cfs: 'Y'
                            nt:
                              - chksum: INVOICECHECKSUMVALUE
                                cflag: 'N'
                                updby: S
                                ntty: C
                                ont_num: '533515'
                                ont_dt: 23-09-2016
                                nt_num: '533515'
                                nt_dt: 23-09-2016
                                p_gst: 'N'
                                inum: '915914'
                                idt: 23-09-2016
                                val: 123123
                                pos: '03'
                                rchrg: 'Y'
                                inv_typ: DE
                                opd: 2016-12
                                d_flag: 'Y'
                                itms:
                                  - num: 1
                                    itm_det:
                                      rt: 10
                                      txval: 5225.28
                                      iamt: 845.22
                                      camt: 0
                                      samt: 0
                                      csamt: 789.52
                record_not_found:
                  summary: Record Not Found
                  value:
                    code: 200
                    timestamp: 1782370382672
                    data:
                      status_cd: '0'
                      error:
                        message: >-
                          No document found in selected financial year. Either
                          this document exists in a different financial year or
                          the document number is incorrect.
                        error_cd: RET11416
                    transaction_id: 42c8d768-94fc-49a9-a653-8767aa4c93b5
          headers: {}
      deprecated: false
      security: []

````